Bug 531388 - system-config-display crashes
system-config-display crashes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
11
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-27 20:52 EDT by Jim Bradbury
Modified: 2010-06-28 11:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 11:20:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Bradbury 2009-10-27 20:52:59 EDT
Description of problem: system-config-display crashes with results found
in log below.

Version-Release number of selected component (if applicable):
Version 1.1.3
Release 2.fc11

How reproducible: run system-config-display


Steps to Reproduce:
1. run system-config-display
  
Actual results: See log below


Expected results: normal operation - no crash.


Additional info: Video Card nVidia GeForce 9800GTX

lspci entry: 
04:00.0 VGA compatible controller: nVidia Corporation G92+ [GeForce GTS 250] (rev a2)

Monitor: LG Model: Flatron W2234S (LCD display - 1680 x 1050 (WSXGA+)
Right now Fedora display defaults to 1024x768 resolution

log:
Command entered: sudo system-config-display

Results:

Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 376, in <module>
    dialog = xConfigDialog.XConfigDialog(hardware_state, xconfig, rhpxl.videocard.VideoCardInfo())
  File "/usr/share/system-config-display/xConfigDialog.py", line 641, in __init__
    if len(self.xconfig.layout[0].adjacencies) > 1:
IndexError: index out-of-bounds

---------------- End of Log -----------------------
Comment 1 Andre Robatino 2009-10-28 07:36:53 EDT
This bug has already been reported multiple times, without any response by the maintainer - see bug #506432, bug #506774, bug #508056, and bug #524434.  It still exists in rawhide.
Comment 2 Matěj Cepl 2009-11-05 13:39:15 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 3 Jim Bradbury 2009-11-06 15:55:16 EST
Fedora 12:
I can't test this on the Fedora 12 Beta, because Fedora 12 Beta doesn't load and configure IP v4. It only configures IP v6 on my machine.

Fedora 12 Nightly Live Build:
The desktop x86_64 build from 20091104 and 20091105 won't boot.
I have the BIOS configured to boot first from CDROM. It reads from the CDROM,
then comes up with a screen that reads:
No root device found.
Boot has failed, sleeping forever.

Fedora 11 log from today with all packages up to date:
[jbrad@conqueror ~]$ date
Fri Nov  6 14:20:35 CST 2009
[jbrad@conqueror ~]$ sudo yum -y upgrade --enablerepo='*-updates-testing'
Loaded plugins: fastestmirror, presto, protectbase, refresh-packagekit
Loading mirror speeds from cached hostfile
 * fedora: mirror.steadfast.net
 * rpmfusion-free: mirrors.tummy.com
 * rpmfusion-free-updates: mirrors.tummy.com
 * rpmfusion-free-updates-testing: mirrors.tummy.com
 * rpmfusion-nonfree: mirrors.tummy.com
 * rpmfusion-nonfree-updates: mirrors.tummy.com
 * rpmfusion-nonfree-updates-testing: mirrors.tummy.com
 * updates: mirror.steadfast.net
rpmfusion-free-updates-testing                                               | 3.8 kB     00:00     
rpmfusion-nonfree-updates-testing                                            | 3.8 kB     00:00     
2 packages excluded due to repository protections
Setting up Upgrade Process
No Packages marked for Update
[jbrad@conqueror ~]$ sudo system-config-display
Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 376, in <module>
    dialog = xConfigDialog.XConfigDialog(hardware_state, xconfig, rhpxl.videocard.VideoCardInfo())
  File "/usr/share/system-config-display/xConfigDialog.py", line 641, in __init__
    if len(self.xconfig.layout[0].adjacencies) > 1:
IndexError: index out-of-bounds
[jbrad@conqueror ~]$
Comment 4 Andre Robatino 2009-11-15 09:47:19 EST
Bug still exists in F12 (AKA RC4) using clean install from the x86_64 DVD.
Comment 5 Jim Bradbury 2009-11-28 02:17:56 EST
In Fedora 12, just upgraded to system-config-display-2.2.1.fc12.
Now, in Gnome when menu System:Administration:Display is selected, window
pops up stating, "Warning A crash in package system-config-display-2.2.1.fc12
has been detected."
When run from command line, I receive:

"Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 378, in <module>
    dialog = xConfigDialog.XConfigDialog(hardware_state, xconfig,
rhpxl.videocard.VideoCardInfo())
  File "/usr/share/system-config-display/xConfigDialog.py", line 640, in
__init__
    if len(self.xconfig.layout[0].adjacencies) > 1:
IndexError: index out-of-bounds

This is the same error as in Fedora 11, except line numbers reported
are slightly different.
Comment 6 Jim Bradbury 2009-12-01 20:39:07 EST
With my yum upgrade today, the problem is fixed. system-config-display now works.
system-config-display is still system-config-display-2.2-1.fc12
The kernel was upgraded to 2.6.31.6-145.fc12.x86_64
The kernel is the only package I see in yum.log that may have fixed this problem.

As far as I am concerned this bug can be closed.
Comment 7 Andre Robatino 2009-12-01 21:17:16 EST
With all updates including yesterday's, and running the latest kernel, still broken for me.
Comment 8 Bug Zapper 2010-04-28 06:59:32 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 hkalyoncu 2010-05-27 12:11:58 EDT
after fresh fedora 13 install i got the following error when try to run system-config-display:

Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 378, in <module>
    dialog = xConfigDialog.XConfigDialog(hardware_state, xconfig, videocard.VideoCardInfo())
  File "/usr/share/system-config-display/xConfigDialog.py", line 640, in __init__
    if len(self.xconfig.layout[0].adjacencies) > 1:
IndexError: index out-of-bounds


display card : NVidia 9800GT 1GB
Comment 10 Bug Zapper 2010-06-28 11:20:10 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.